summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAaron Fischer2015-08-20 23:09:51 +0200
committerAaron Fischer2015-08-20 23:09:51 +0200
commited77ac7ca44012389e761caddd0b05fad5c96a3f (patch)
tree26aee504949018815f99b5a163775e9f533322eb
parentc206cfc814341355917915f87090c06e637d2179 (diff)
downloadaur-ed77ac7ca44012389e761caddd0b05fad5c96a3f.tar.gz
Bump to 3.6 and add Nyth support
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD21
2 files changed, 24 insertions, 9 deletions
diff --git a/.SRCINFO b/.SRCINFO
index b17c2588874..47449cb56f1 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,13 +1,13 @@
pkgbase = roccat-tools
pkgdesc = Userland applications to configure and make extended use of ROCCAT devices
- pkgver = 3.5.0
+ pkgver = 3.6.0
pkgrel = 1
url = http://roccat.sourceforge.net
arch = i686
arch = x86_64
license = GPL2
makedepends = cmake
- depends = libgaminggear=0.10.0
+ depends = libgaminggear=0.11.0
depends = libcanberra
depends = gtk2
depends = libnotify>=0.7.0
@@ -16,9 +16,9 @@ pkgbase = roccat-tools
depends = hicolor-icon-theme
depends = libgudev
optdepends = kmod-roccat: Adds support for the old kone device.
- source = http://downloads.sourceforge.net/project/roccat/roccat-tools/roccat-tools-3.5.0.tar.bz2
+ source = http://downloads.sourceforge.net/project/roccat/roccat-tools/roccat-tools-3.6.0.tar.bz2
source = udev-compilation-error-fix.patch
- md5sums = 056ca3872c10c9cbb859517f235e7f0f
+ md5sums = c602eb0adb10fec14fc2dac52287db63
md5sums = 414d6306796c659a3adc86ef213e3569
pkgname = roccat-tools-common
@@ -100,3 +100,7 @@ pkgname = roccat-tools-tyon
pkgdesc = Userland applications to configure and make extended use of ROCCAT Tyon devices
depends = roccat-tools-common
+pkgname = roccat-tools-nyth
+ pkgdesc = Userland applications to configure and make extended use of ROCCAT Nyth devices
+ depends = roccat-tools-common
+
diff --git a/PKGBUILD b/PKGBUILD
index 967138101d4..dd333d36675 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -21,22 +21,23 @@ pkgname=('roccat-tools-common'
'roccat-tools-ryosmk'
'roccat-tools-ryostkl'
'roccat-tools-savu'
- 'roccat-tools-tyon')
+ 'roccat-tools-tyon'
+ 'roccat-tools-nyth')
pkgbase=roccat-tools
-pkgver=3.5.0
-pkgrel=2
+pkgver=3.6.0
+pkgrel=1
pkgdesc='Userland applications to configure and make extended use of ROCCAT devices'
arch=('i686' 'x86_64')
url='http://roccat.sourceforge.net'
license=('GPL2')
-depends=('libgaminggear=0.10.1' 'libcanberra' 'gtk2' 'libnotify>=0.7.0' 'dbus-glib' 'udev' 'hicolor-icon-theme' 'libgudev')
+depends=('libgaminggear=0.11.0' 'libcanberra' 'gtk2' 'libnotify>=0.7.0' 'dbus-glib' 'udev' 'hicolor-icon-theme' 'libgudev')
makedepends=('cmake')
optdepends=('kmod-roccat: Adds support for the old kone device.')
conflicts=
source=("http://downloads.sourceforge.net/project/roccat/roccat-tools/roccat-tools-$pkgver.tar.bz2"
'udev-compilation-error-fix.patch')
-md5sums=('056ca3872c10c9cbb859517f235e7f0f'
+md5sums=('c602eb0adb10fec14fc2dac52287db63'
'414d6306796c659a3adc86ef213e3569')
build() {
@@ -233,3 +234,13 @@ package_roccat-tools-tyon() {
cd "$srcdir/$pkgbase-$pkgver"
install -Dm644 udev/90-roccat-tyon.rules $pkgdir/usr/lib/udev/rules.d/90-roccat-tyon.rules
}
+
+package_roccat-tools-nyth() {
+ pkgdesc='Userland applications to configure and make extended use of ROCCAT Nyth devices'
+ depends=('roccat-tools-common')
+
+ cd "$srcdir/$pkgbase-$pkgver/nyth"
+ make DESTDIR="$pkgdir/" install
+ cd "$srcdir/$pkgbase-$pkgver"
+ install -Dm644 udev/90-roccat-nyth.rules $pkgdir/usr/lib/udev/rules.d/90-roccat-nyth.rules
+}